### Method

# GLib AsyncQueue pop

#### Declaration [src]

    gpointer
    g_async_queue_pop (
      GAsyncQueue* queue
    )

#### Description [src]

Pops data from the `queue`. If `queue` is empty, this function blocks until data becomes available.

#### Return value

Type: `gpointer`

Data from the queue.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.